"""
This is a setup.py script generated by py2applet

Usage:
    python setup.py py2app
"""

import sys

import ez_setup
ez_setup.use_setuptools()

from setuptools import setup, find_packages

mainscript = "hello/world.py"

APP_NAME = "HelloWorld"
VERSION = "0.2"

setup_options = dict(
    name = APP_NAME,
    version = VERSION,
    author = "Cosmin Stejerean",
    author_email = "cstejerean@gmail.com",

    packages = find_packages(exclude=['test']),
    setup_requires=[],

    tests_require=['nose'],
    test_suite = 'nose.collector',
)

if sys.platform == "darwin":
    extra_options = dict(
        setup_requires=['py2app'],
        app=[mainscript],
        options=dict(py2app=dict(argv_emulation=True)),
    )
elif sys.platform == "win32":
    import py2exe # you must do this
    extra_options = dict(
        setup_requires = ['py2exe', 'pywin32'],
        options = dict(py2exe={"includes": ["wx"],
                               "dist_dir": r"dist\HelloWorld-win32",
                               "compressed": True,
                                }),
        windows = [mainscript],
    )
else:
    extra_options = dict(
        scripts=[mainscript],
    )

for k,v in extra_options.items():
    if k in setup_options:
        original = setup_options[k]
        if isinstance(original, list):
            setup_options[k] = original + v
        else:
            raise Exception("I don't know how to merge extra option %s" % k)
    else:
        setup_options[k] = v

setup(**setup_options)
